Page MenuHomePhabricator

Let you specify that a TagMultiselectWidget has a fixed order
Open, LowestPublic

Description

For situations where you want to add/remove items from a group, entry is arbitrary, but ordering is fixed.

For example:

  • adding user to a rights group; you could add users that don't exist in the DB yet, so you can select user names which are banned from logging in or being created; once selected, they're always shown alphabetically, or
  • tagging a media file; you could add new tags that you're imagining as well as selecting from existing ones, but once selected they're always shown in popularity order.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Low.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a project: OOUI.

I am trying to think of the constraints that this will put on the UI but am failing to do so. @Jdforrester-WMF could you add an example of this functionality's use case?

matmarex renamed this task from Let you specify that a CapsuleMultiSelectWidget has a fixed order to Let you specify that a CapsuleMultiselectWidget has a fixed order.May 19 2016, 6:38 PM
matmarex set Security to None.
matmarex added a subscriber: matmarex.

Both this and T108490 only makes sense for widgets where the user can add arbitrary options. It would probably be a lot easier to implement if we split the current CapsuleMultiselectWidget like I suggest in T108489#2338330: new CapsuleMultiselectWidget (only allows selecting from predefined list) and CapsuleGroupWidget (only allows typing in new values). CapsuleMultiselectWidget then would always have fixed predefined order, and CapsuleGroupWidget could be made orderable.

Like @Prtksxna I don't understand the missing user value of the task to be accomplished? @Jdforrester-WMF What use case is on your mind?

@Jdforrester-WMF Just to be clear, this would mean that when I add an item it gets added to a location in the list which is pre-decided, not necessarily the end? Something like:



Not:

Yup. Would probably want an animation or whatever to make it clear what happened to the user's entry?

Anyway, maybe move this down to Lowest?

Volker_E lowered the priority of this task from Low to Lowest.Jul 17 2017, 4:09 PM
Volker_E renamed this task from Let you specify that a CapsuleMultiselectWidget has a fixed order to Let you specify that a TagMultiselectWidget has a fixed order.Dec 19 2017, 10:26 PM

In regards to T183299 let's focus on TagMultiselectWidget only.